/*!	
	@file
	@brief	ゲーム側から使う平面領域
*/



#ifndef CSurface_h
#define CSurface_h

#include"../Setup/CompileMode.h"
#include"../Auxiliary/mstring.h"
#include"../template/ReferenceCount.h"
#include"../template/Mathematics.h"

#include"../template/GlobalPointer.h"
#include"CSurfaceInfo.h"

namespace Maid
{

	class CGraphic;
	class CSurface : public GlobalPointer<CGraphic>
	{
	public:
		virtual ~CSurface(){};


		virtual mstring GetID()const=0;
		virtual SIZE2DI GetSize() const=0;
		virtual PIXELFORMAT GetFormat() const=0;
	};

}

#endif
